| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Neural::MapImputElementDefinitionDto Class Reference

DTO (data transfer object) for neural data input element mapping definition. More...

Inheritance diagram for IG::Neural::MapImputElementDefinitionDto:
[legend]
Collaboration diagram for IG::Neural::MapImputElementDefinitionDto:
[legend]

List of all members.

## Public Member Functions
| MapImputElementDefinitionDto ()
override InputMappingDefinitionElement | CreateObject ()
| Creates and returns a new object of the type whose data is represented by the current DTO (Data Transfer Object). WARNING: Implement thread locking in overriding functions!
## Protected Member Functions
override void | CopyFromPlain (MappingDefinitionElement obj)
override void | CopyToPlain (ref MappingDefinitionElement obj)

## Detailed Description

DTO (data transfer object) for neural data input element mapping definition.

$A Igor Jul 19; tako78 Jul 19

## Constructor & Destructor Documentation

IG::Neural::MapImputElementDefinitionDto::MapImputElementDefinitionDto | ( |  | ) | `[inline]`

## Member Function Documentation

override InputMappingDefinitionElement IG::Neural::MapImputElementDefinitionDto::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns a new object of the type whose data is represented by the current DTO (Data Transfer Object). WARNING: Implement thread locking in overriding functions!

Therad locking should be performed in overriding functions!

Reimplemented from IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >.

override void IG::Neural::MapImputElementDefinitionDto::CopyFromPlain | ( | MappingDefinitionElement | obj | ) | `[inline, protected]`

Reimplemented from IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >.

override void IG::Neural::MapImputElementDefinitionDto::CopyToPlain | ( | ref MappingDefinitionElement | obj | ) | `[inline, protected]`

Reimplemented from IG::Neural::MapNeuralImputOutputElementDefinitionDto< ElementType >.

The documentation for this class was generated from the following file:

- NeuralMapData.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events